import { FSWatcher } from 'chokidar';
import { type DevServer, type Logger, type ServerConfig } from '../types/index.js';
import { Connection } from './connection/index.js';
import { ModuleGraph } from './moduleGraph/index.js';
import ClientConnection from './connection/clientConnection.js';
import type { HMR_Data } from '@lwc/lwc-dev-server-types';
export declare class LWCServer implements DevServer {
    logger: Logger;
    watcher: FSWatcher;
    config: ServerConfig;
    connection: Connection;
    moduleGraph: ModuleGraph;
    clients: ClientConnection[];
    constructor(config: ServerConfig);
    stopServer(): void;
    changeHandler(filePath: string): void;
    messageCallback(data: HMR_Data): void;
}
