import { type Logger, type Workspace } from '../../types/index.js';
import type { HMR_Register } from '@lwc/lwc-dev-server-types';
import type { ModuleMapEntry, WorkspaceScanner } from './workspaceScanner/scanner';
export declare class ModuleGraph {
    logger: Logger;
    workspaceScanner: WorkspaceScanner;
    /**
     * All LWC modules and their parts with absolute file paths, for the current workspace.
     */
    moduleMap: ModuleMapEntry[];
    /**
     * All modules paths that are being used by the various client connections
     */
    activeModulePaths: string[];
    fileToModuleMap: {
        [key: string]: string;
    };
    moduleToFileMap: {
        [key: string]: string;
    };
    constructor(workspace: Workspace, paths: string[], logger: Logger);
    getModuleByFile(path: string): string | undefined;
    getFileByModulePath(modulePath: string): string | undefined;
    registerActivePaths(activeModules: HMR_Register[]): void;
}
