import { Workspace } from '../../../types/index.js';
import InternalWorkspaceScanner from './internal.js';
import SalesforceCliWorkspaceScanner from './salesforceCli.js';
import MrtWorkspaceScanner from './mrt.js';
export function getWorkspaceScanner(workspace, modulesPaths) {
    switch (workspace) {
        case Workspace.Internal:
            return new InternalWorkspaceScanner(Workspace.Internal, modulesPaths);
        case Workspace.SfCli:
            return new SalesforceCliWorkspaceScanner(Workspace.SfCli, modulesPaths);
        case Workspace.Mrt:
            return new MrtWorkspaceScanner(Workspace.Mrt, modulesPaths);
    }
}
//# sourceMappingURL=index.js.map